#include "selection.h"


Selection::Selection()
{
}

Selection::~Selection()
{
}

void Selection::setMapCenter(MapCenterObj *mco)
{
	mapCenter=mco;
}

void Selection::copy(const Selection &other)
{
	mapCenter=other.mapCenter;
	selectList=other.selectList;
}

void Selection::clear()
{
	selectList.clear();
}

bool Selection::select(LinkableMapObj *lmo)
{
	clear();
	selectList.append (lmo);
	return false;
}

bool Selection::select (const QString &s)
{
	LinkableMapObj *lmo=mapCenter->findObjBySelect(s);

	// Finally select the found object
	if (lmo)
	{
		clear();
		select (lmo);
		return true;
	} 
	return false;

}

void Selection::unselect()
{
	clear();
}

bool Selection::isEmpty()
{
	return selectList.isEmpty();
}

uint Selection::count()
{
	return selectList.count();
}

QString Selection::getSelectString()
{
	// TODO multiselection (maybe separated by ";")
	if (selectList.count()==1)
		return selectList.first()->getSelectString();
	else
		return"";
}


